import * as React from 'react';
import { Container } from 'semantic-ui-react';
import { Header } from './Header';
import { Footer } from './Footer';

import { Routes } from '../../../Routes';
import { Router } from 'react-router';
import * as History from 'history';

const history = History.createHashHistory();

export class Layout extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  render() {
    return (
      <div>
        <br />
        <Header />
        <Container>
          <br />
          <Router history={history}>
            <Routes />
          </Router>
        </Container>
        <br />
        <Footer />
      </div>
    );
  }
}



